#! /bin/csh
echo "Running script select_release.com since `date`"

#rm -f */*.o
make select_release.exe
#exit

set dirp = release_230k

set recalib = F  
set vlim = F     
set mag_fix = F
set mu_mask = T
set magerr = F
set zzerr = F
set spec = F

set zmin = 0.002 
set zmax = 0.3
set magmin = 15.0
set magmax = 19.35
set compl_cut = 0.2
set iseed = -75843
set ng_ranmult = 1

set region = sgp 

set maskfile = $dirp"_reg/mask.dat"
set maglimmask = $dirp"/maglim_mask.reg.dat"
set mumaskfile = $dirp"_reg/mask_mu.dat"
set selfile = seldir/selfile.230k.2df_reg    
set catname = $dirp"/parent.reg.txt"
set file1 = $dirp"_reg/weight.txt"
set file2 = $dirp"_reg/weight_extra.txt"

set outfile1 = "outdir/select.red.recalib."$region.$recalib".out"
set outfile2 = "outdir/select.ran.recalib."$region.$recalib".out"

set nlim = 0
set lim_spec1 = -20.5
set lim_spec2 = -20.0
set lim_spec3 = -20.5
set lim_spec4 = -20.0
set lim_spec5 = -5.0
set lim_spec6 = +60.0

echo "Running select_release.exe : since `date`"

select_release.exe $recalib $vlim $mag_fix $mu_mask $magerr $zzerr $spec $zmin $zmax $magmin $magmax $compl_cut $iseed $ng_ranmult $region $maskfile $selfile $catname $maglimmask $mumaskfile $outfile1 $outfile2 $file1 $file2 $nlim $lim_spec1 $lim_spec2 $lim_spec3 $lim_spec4 $lim_spec5 $lim_spec6

exit




