c----------------------------------------------------------------------------
c     Reads an input as a string
      subroutine getstr(i,a)
      implicit none
      integer i
      character a*(*)
      call getarg(i,a)
      return
      end
c-----------------------------------------------------------------------------
c     Reads an input as an integer
      subroutine getint(i,ii)
      implicit none
      integer i,ii
      character a*100
      call getarg(i,a)
      read(a,*) ii
      return
      end
c-----------------------------------------------------------------------------
c     Reads an input as a real
      subroutine getreal(i,r)
      implicit none
      integer i
      real r
      character a*100
      call getarg(i,a)
      read(a,*) r
      return
      end

c-----------------------------------------------------------------------------
c     Reads an input as a logical (identical to get_log)
      subroutine getlog(i,l)
      implicit none
      integer i
      logical l
      character a*1
      call getarg(i,a)
      if ((a.eq.'T').or.(a.eq.'0')) then
         l=.true.
      else if ((a.eq.'F').or.(a.eq.'1')) then
         l=.false.
      else
         write(*,*) 'Logical argument missunderstood: T/0 or F/1 only!'
         stop 'getlog in iounix.f'
      endif
      return
      end

c-----------------------------------------------------------------------------
c     Reads an input as a logical (identical to getlog)
      subroutine get_log(i,l)
      implicit none
      integer i
      logical l
      character a*1
      call getarg(i,a)
      if ((a.eq.'T').or.(a.eq.'0')) then
         l=.true.
      else if ((a.eq.'F').or.(a.eq.'1')) then
         l=.false.
      else
         write(*,*) 'Logical argument missunderstood: T/0 or F/1 only!'
         stop 'getlog in iounix.f'
      endif
      return
      end

