c$$$      program testlocate
c$$$      implicit none
c$$$      integer i,j,n
c$$$      parameter (n=100)
c$$$      real x,vect(n)
c$$$      
c$$$      do i=1,n
c$$$         vect(i)=real(i)
c$$$      enddo
c$$$      read*,x
c$$$      call locate(vect,n,x,j)
c$$$      write(*,*) j
c$$$      end
c$$$
c---------------------------------------------------------------------------
c     This subroutine returns j s.t. xx(j)<x<=xx(j+1) for j=1,..n-1. When j=0
c     then x<x(1) and when j=n, then x>xx(n)
      SUBROUTINE locate(xx,n,x,j)
      implicit none
      INTEGER*4 j,n
      REAL*4 x,xx(n)
      INTEGER*4 jl,jm,ju
      jl=0
      ju=n+1
10    if(ju-jl.gt.1)then
        jm=(ju+jl)/2
        if((xx(n).gt.xx(1)).eqv.(x.gt.xx(jm)))then
          jl=jm
        else
          ju=jm
        endif
      goto 10
      endif
      j=jl
      return
      END

c-----------------------------------------------------------------------------
c     This subroutine returns j s.t. xx(j)<x<=xx(j+1) for j=1,..n-1. When j=0
c     then x<x(1) and when j=n, then x>xx(n)
      SUBROUTINE locate_dble(xx,n,x,j)
      implicit none
      INTEGER j,n
      double precision x,xx(n)
      INTEGER jl,jm,ju
      jl=0
      ju=n+1
10    if(ju-jl.gt.1)then
        jm=(ju+jl)/2
        if((xx(n).gt.xx(1)).eqv.(x.gt.xx(jm)))then
          jl=jm
        else
          ju=jm
        endif
      goto 10
      endif
      j=jl
      return
      END

c-----------------------------------------------------------------------------
c     This subroutine returns j s.t. xx(j)<x<=xx(j+1) for j=1,..n-1. When j=0
c     then x<x(1) and when j=n, then x>xx(n). 
      SUBROUTINE locate_int(xx,n,x,j)
      implicit none
      INTEGER j,n,xx(n),x
      INTEGER jl,jm,ju
      jl=0
      ju=n+1
10    if(ju-jl.gt.1)then
        jm=(ju+jl)/2
        if((xx(n).gt.xx(1)).eqv.(x.gt.xx(jm)))then
          jl=jm
        else
          ju=jm
        endif
      goto 10
      endif
      j=jl
      return
      END

c-----------------------------------------------------------------------------
      SUBROUTINE locate_char(xx,n,x,j)
c
c     This is a modified version of the subroutine locate given in numercial
c     recipies. Given an array(1:n) of characters (standard length: 21) which
c     is monotonic (increasing or decreasing), it returns for a given x j 
c     s.t.: xx(j)<=x<xx(j+1) (if xx(j) is monotonic increasing).
c
      implicit none

      INTEGER j,n
      character  x*21,xx(n)*21
c      character  x*(*),xx*(*)

      INTEGER jl,jm,ju
      jl=0
      ju=n+1
10    if(ju-jl.gt.1)then
        jm=(ju+jl)/2
        if((xx(n).gt.xx(1)).eqv.(x.gt.xx(jm)))then
          jl=jm
        else if (x.eq.xx(jm)) then
          jl=jm
          ju=jm
        else
          ju=jm
        endif
      goto 10
      endif
      j=jl
      return
      END



